Module java.desktop
Package javax.print.attribute.standard

## Class DateTimeAtCompleted

- java.lang.Object
- - javax.print.attribute.DateTimeSyntax
  - - javax.print.attribute.standard.DateTimeAtCompleted

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Attribute`, `PrintJobAttribute`

      public final class DateTimeAtCompleted
      extends DateTimeSyntax
      implements PrintJobAttribute

  Class `DateTimeAtCompleted` is a printing attribute class, a date-time attribute, that indicates the date and time at which the Print Job completed (or was canceled or aborted).

  To construct a `DateTimeAtCompleted` attribute from separate values of the year, month, day, hour, minute, and so on, use a `Calendar` object to construct a `Date` object, then use the `Date` object to construct the DateTimeAtCompleted attribute. To convert a `DateTimeAtCompleted` attribute to separate values of the year, month, day, hour, minute, and so on, create a `Calendar` object and set it to the `Date` from the `DateTimeAtCompleted` attribute.

  IPP Compatibility: The information needed to construct an IPP "date-time-at-completed" attribute can be obtained as described above. The category name returned by `getName()` gives the IPP attribute name.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateTimeAtCompleted​(Date dateTime)` | Construct a new date-time at completed attribute with the given `Date` value.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object object)` | Returns whether this date-time at completed attribute is equivalent to the passed in object.
    `Class<? extends Attribute>` | `getCategory()` | Get the printing attribute class which is to be used as the "category" for this printing attribute value.
    `String` | `getName()` | Get the name of the category of which this attribute value is an instance.

    - ### Methods declared in class javax.print.attribute.DateTimeSyntax

      `getValue, hashCode, toString`

    - ### Methods declared in class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateTimeAtCompleted

          public DateTimeAtCompleted​(Date dateTime)

      Construct a new date-time at completed attribute with the given `Date` value.
      Parameters:
        `dateTime` - `Date` value
      Throws:
        `NullPointerException` - if `dateTime` is `null`

  - ### Method Detail

    - #### equals

          public boolean equals​(Object object)

      Returns whether this date-time at completed attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
      1. `object` is not `null`.
      2. `object` is an instance of class `DateTimeAtCompleted`.
      3. This date-time at completed attribute's `Date` value and `object`'s `Date` value are equal.
      Overrides:
        `equals` in class `DateTimeSyntax`
      Parameters:
        `object` - `Object` to compare to
      Returns:
        `true` if `object` is equivalent to this date-time at completed attribute, `false` otherwise
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### getCategory

          public final Class<? extends Attribute> getCategory()

      Get the printing attribute class which is to be used as the "category" for this printing attribute value.

      For class `DateTimeAtCompleted`, the category is class `DateTimeAtCompleted` itself.

      Specified by:
        `getCategory` in interface `Attribute`
      Returns:
        printing attribute class (category), an instance of class `java.lang.Class`

    - #### getName

          public final String getName()

      Get the name of the category of which this attribute value is an instance.

      For class `DateTimeAtCompleted`, the category name is `"date-time-at-completed"`.

      Specified by:
        `getName` in interface `Attribute`
      Returns:
        attribute category name